Page MenuHomePhabricator

Update repositories that use mediawiki_selenium Ruby gem to version 1.x
Closed, ResolvedPublic

Description

Update instructions: https://github.com/wikimedia/mediawiki-selenium/blob/master/UPGRADE.md

RepositoryVersionTaskJenkins jobActiveVagrant roleCucumber Scenarios
mediawiki1.2.1
mediawiki/selenium1.6.2
ArticleFeedbackv50.2.20
CentralAuth1.2.1
CentralNotice1.2.1
CirrusSearch0.3.2T99653cirrussearch
ContentTranslation1.6.2T115319contenttranslation24
Echo1.5.0T114093 echo12
Flow1.5.0
Gather1.5.0
GettingStarted1.6.2T99655gettingstarted1
Math1.5.0T99656math1
MobileFrontend1.5.0
MultimediaViewer1.6.2T99659 multimediaviewer27
PageTriage1.6.2T117979pagetriage2
PdfHandler1.6.2T117980pdfhandler2
QuickSurveys1.5.0
Translate1.6.2T117978translate
TwnMainPage1.6.2T117977
UniversalLanguageSelector1.6.2T117976uls60
UploadWizard1.2.1
VisualEditor1.5.0
WikidataBrowserTests1.6.2
WikiLove1.5.0
ZeroPortal1.0.23

Related Objects

StatusAssignedTask
Resolvedzeljkofilipin
Resolveddduvall
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolveddduvall
Resolvedzeljkofilipin
Resolvedhashar
Resolveddduvall
Resolvedzeljkofilipin
Invalidzeljkofilipin
Resolveddduvall
Resolveddduvall
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolveddduvall
Resolveddduvall
Invalidzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin
Resolvedzeljkofilipin

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 8:29 PM

Change 180381 had a related patch set uploaded (by Zfilipin):
(WIP) QA: Experimenting with mw-selenium EAL

https://gerrit.wikimedia.org/r/180381

Change 180324 had a related patch set uploaded (by Zfilipin):
(WIP) QA: Simplified using new mw-selenium features

https://gerrit.wikimedia.org/r/180324

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed zeljkofilipin as the assignee of this task.May 24 2015, 2:09 PM
hashar renamed this task from Update repositories that use mediawiki_selenium Ruby gem 1.x to Update repositories that use mediawiki_selenium Ruby gem 1.x (tracking).May 29 2015, 11:16 AM
hashar added a project: Tracking-Neverending.
dduvall claimed this task.Jun 9 2015, 4:01 PM

Change 180324 abandoned by Dduvall:
(WIP) QA: Simplified using new mw-selenium features

Reason:
Superseded by I141c431df096d683cbee4d7b329c0c3aeeabfb00

https://gerrit.wikimedia.org/r/180324

github

$ grep -r "mediawiki_selenium (1" *
wmde/WikidataBrowserTests/Gemfile.lock:    mediawiki_selenium (1.3.0)

gerrit

$ grep -r "mediawiki_selenium (1" *
mediawiki/selenium/Gemfile.lock:    mediawiki_selenium (1.1.0)
mediawiki/vagrant/mediawiki/extensions/CentralAuth/Gemfile.lock:    mediawiki_selenium (1.2.1)
mediawiki/vagrant/mediawiki/extensions/CentralNotice/Gemfile.lock:    mediawiki_selenium (1.2.1)
mediawiki/vagrant/mediawiki/extensions/Flow/Gemfile.lock:    mediawiki_selenium (1.4.0)
mediawiki/vagrant/mediawiki/extensions/Gather/Gemfile.lock:    mediawiki_selenium (1.5.0)
mediawiki/vagrant/mediawiki/extensions/MobileFrontend/Gemfile.lock:    mediawiki_selenium (1.5.0)
mediawiki/vagrant/mediawiki/extensions/UploadWizard/Gemfile.lock:    mediawiki_selenium (1.2.0)
mediawiki/vagrant/mediawiki/extensions/VisualEditor/Gemfile.lock:    mediawiki_selenium (1.5.0)
mediawiki/vagrant/mediawiki/extensions/WikiLove/Gemfile.lock:    mediawiki_selenium (1.5.0)
mediawiki/vagrant/mediawiki/extensions/ZeroPortal/Gemfile.lock:    mediawiki_selenium (1.0.0.pre.1)
mediawiki/vagrant/mediawiki/Gemfile.lock:    mediawiki_selenium (1.2.1)
$ grep -r "mediawiki_selenium (0" *
mediawiki/vagrant/mediawiki/extensions/ArticleFeedbackv5/Gemfile.lock:    mediawiki_selenium (0.2.20)
mediawiki/vagrant/mediawiki/extensions/CirrusSearch/Gemfile.lock:    mediawiki_selenium (0.3.2)
mediawiki/vagrant/mediawiki/extensions/ContentTranslation/Gemfile.lock:    mediawiki_selenium (0.4.2)
mediawiki/vagrant/mediawiki/extensions/Echo/Gemfile.lock:    mediawiki_selenium (0.4.2)
mediawiki/vagrant/mediawiki/extensions/GettingStarted/Gemfile.lock:    mediawiki_selenium (0.4.2)
mediawiki/vagrant/mediawiki/extensions/Math/Gemfile.lock:    mediawiki_selenium (0.4.0)
mediawiki/vagrant/mediawiki/extensions/MultimediaViewer/Gemfile.lock:    mediawiki_selenium (0.4.2)
mediawiki/vagrant/mediawiki/extensions/PageTriage/Gemfile.lock:    mediawiki_selenium (0.2.20)
mediawiki/vagrant/mediawiki/extensions/PdfHandler/Gemfile.lock:    mediawiki_selenium (0.2.25)
mediawiki/vagrant/mediawiki/extensions/Translate/Gemfile.lock:    mediawiki_selenium (0.2.23)
mediawiki/vagrant/mediawiki/extensions/TwnMainPage/Gemfile.lock:    mediawiki_selenium (0.2.23)
mediawiki/vagrant/mediawiki/extensions/UniversalLanguageSelector/Gemfile.lock:    mediawiki_selenium (0.4.2)
mediawiki/vagrant/mediawiki/extensions/ZeroBanner/Gemfile.lock:    mediawiki_selenium (0.2.7)
This comment was removed by zeljkofilipin.
zeljkofilipin updated the task description. (Show Details)Sep 2 2015, 1:43 PM
zeljkofilipin renamed this task from Update repositories that use mediawiki_selenium Ruby gem 1.x (tracking) to Update repositories that use mediawiki_selenium Ruby gem 1.x.Sep 2 2015, 1:52 PM
greg updated the task description. (Show Details)Sep 3 2015, 3:44 PM
zeljkofilipin updated the task description. (Show Details)Sep 9 2015, 5:11 PM
zeljkofilipin lowered the priority of this task from High to Normal.Sep 10 2015, 11:15 AM
zeljkofilipin renamed this task from Update repositories that use mediawiki_selenium Ruby gem 1.x to Update repositories that use mediawiki_selenium Ruby gem to version 1.x.Sep 30 2015, 1:32 PM
Tobi_WMDE_SW updated the task description. (Show Details)Oct 12 2015, 8:53 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Nov 6 2015, 3:35 PM
zeljkofilipin updated the task description. (Show Details)Nov 6 2015, 3:40 PM
zeljkofilipin updated the task description. (Show Details)Nov 6 2015, 3:42 PM

Change 180381 abandoned by Dduvall:
(WIP) QA: Experimenting with mw-selenium EAL

Reason:
Hella old and obsolete.

https://gerrit.wikimedia.org/r/180381